// FEC_CashDrawerTester.cpp : wqDxε{iJIC
//

#include "stdafx.h"

#include <iostream>
#include <windows.h>

typedef int(*pfAddIntFunction)(int, int);
typedef DWORD(*pfGetCashDrawerStatusFunction)();
typedef DWORD(*pfSetCashDrawerOpenStatusValueFunction)(int);
typedef DWORD(*pfOpenCashDrawerFunction)();
typedef DWORD(*pfOpenCashDrawer1OnlyFunction)();
typedef DWORD(*pfOpenCashDrawer2OnlyFunction)();


int main()
{

#if 1

	pfAddIntFunction pfAddInt;
	pfGetCashDrawerStatusFunction pfGetCashDrawerStatus;
	pfSetCashDrawerOpenStatusValueFunction pfSetCashDrawerOpenStatusValue;
	pfOpenCashDrawerFunction pfOpenCashDrawer;
	pfOpenCashDrawer1OnlyFunction pfOpenCashDrawer1Only;
	pfOpenCashDrawer2OnlyFunction pfOpenCashDrawer2Only;


	HINSTANCE hLibrary = LoadLibrary(L"FEC_CashDrawerDLL.dll");

	if (hLibrary)
	{
		pfGetCashDrawerStatus = (pfGetCashDrawerStatusFunction)GetProcAddress(hLibrary, "GetCashDrawerStatus");;
		if (pfGetCashDrawerStatus)
		{
			std::cout << "CashDrawerStatus is " << pfGetCashDrawerStatus() << std::endl;
			//std::cout << pfGetCashDrawerStatus() << std::endl;
		}


		pfOpenCashDrawer = (pfOpenCashDrawerFunction)GetProcAddress(hLibrary, "OpenCashDrawer");;
		if (pfOpenCashDrawer)
		{
			pfOpenCashDrawer();
		}


#if 0
		pfSetCashDrawerOpenStatusValue = (pfSetCashDrawerOpenStatusValueFunction)GetProcAddress(hLibrary, "SetCashDrawerOpenStatusValue");;
		if (pfSetCashDrawerOpenStatusValue)
		{
			std::cout << pfSetCashDrawerOpenStatusValue(1) << std::endl;
		}
#endif


#if 0
		pfOpenCashDrawer1Only = (pfOpenCashDrawer1OnlyFunction)GetProcAddress(hLibrary, "OpenCashDrawer1Only");;
		if (pfOpenCashDrawer1Only)
		{
			pfOpenCashDrawer1Only();
		}
#endif

#if 0
		pfOpenCashDrawer2Only = (pfOpenCashDrawer2OnlyFunction)GetProcAddress(hLibrary, "OpenCashDrawer2Only");;
		if (pfOpenCashDrawer2Only)
		{
			pfOpenCashDrawer2Only();
		}
#endif

		FreeLibrary(hLibrary);
	}
	else
	{
		std::cout << "Failed To Load Library" << std::endl;
	}
#endif


	return 0;



}

